> ## Documentation Index
> Fetch the complete documentation index at: https://www.domo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Documents in Bulk

> Remove multiple documents from a collection in a single request. IDs are passed as a comma-separated `ids` query parameter. Keep requests under approximately 700 UUIDs (~26 KB URL) to avoid HTTP 414 URI Too Long errors from the framework proxy; split larger deletes across multiple requests.

<Danger>
**Warning**

 This is destructive and cannot be reversed. Deleting documents in an AppDB collection may have performance implications with regard to syncing to its corresponding DataSet in Domo if the syncEnabled property is set to true for the Collection.
</Danger>



## OpenAPI

````yaml /openapi/framework/appdb.yaml delete /domo/datastores/v2/collections/{collectionName}/documents/bulk
openapi: 3.0.0
info:
  title: Domo AppDB API
  version: v1
  description: >
    AppDB API for storing arbitrary JSON documents similar to a NoSQL database.
    This enables storing state within your DomoApp

    with optional syncing to Domo DataSets.


    Three layers provide data storage:

    - **Datastores**: Analogous to a database. A CustomApp has a single
    datastore created automatically.

    - **Collections**: Analogous to a collection in NoSQL or table in relational
    databases.

    - **Documents**: Analogous to documents in NoSQL or table rows in relational
    databases.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: example
        description: Your Domo instance name
security: []
paths:
  /domo/datastores/v2/collections/{collectionName}/documents/bulk:
    delete:
      tags:
        - AppDB API
      summary: Delete Documents in Bulk
      description: >-
        Remove multiple documents from a collection in a single request. IDs are
        passed as a comma-separated `ids` query parameter. Keep requests under
        approximately 700 UUIDs (~26 KB URL) to avoid HTTP 414 URI Too Long
        errors from the framework proxy; split larger deletes across multiple
        requests.


        <Danger>

        **Warning**

         This is destructive and cannot be reversed. Deleting documents in an AppDB collection may have performance implications with regard to syncing to its corresponding DataSet in Domo if the syncEnabled property is set to true for the Collection.
        </Danger>
      parameters:
        - $ref: '#/components/parameters/CollectionName'
        - name: ids
          in: query
          required: true
          description: Comma-separated list of document IDs to delete
          schema:
            type: string
          example: >-
            2bdd6370-85af-4e06-aadb-380839e4de8c,c78ba737-5f84-49c9-8ac9-58615a0f8aa8
      responses:
        '200':
          description: Bulk deletion result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDeleteResponse'
              example:
                Deleted: 3
        '403':
          description: >-
            Forbidden. The user does not have the DELETE_CONTENT permission on
            this collection.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 403
                statusReason: >-
                  status 403 reading
                  DocumentsResourceClient#bulkDeleteDocuments(UUID,List)
                toe: NSR9V0OFF0-N49OB-9PZHP
        '404':
          description: >-
            Collection not found. Verify the collection name is correct (it is
            case-sensitive) and that the collection has been created or
            correctly wired in this app's datastore.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                status: 404
                statusReason: >-
                  DA0088: Collection 'students' was not found in datastore
                  875557bc-679d-40a0-ac7e-9e8251dc3fde - it may not exist on
                  this instance or may not be accessible
                toe: RTZEY0D56C-HXTOO-KP1IC
      x-codeSamples:
        - lang: JavaScript
          label: domo.js
          source: >-
            const collectionName = 'Students';

            const ids = 'id-one,id-two';


            domo.delete(`/domo/datastores/v2/collections/${collectionName}/documents/bulk?ids=${ids}`)
              .then(result => console.log(result));
        - lang: JavaScript
          label: domo.js v6
          source: |-
            // domo.js v6
            const collectionName = 'Students';
            const ids = ['id-one', 'id-two'];

            await domo.appdb.bulkDelete(collectionName, ids);
        - lang: cURL
          label: cURL
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Python
          label: Python
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
        - lang: PHP
          label: PHP
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Go
          label: Go
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Java
          label: Java
          source: |-
            // This API is only available inside a Domo app.
            // Use the JavaScript (domo.js) tab for the correct usage.
        - lang: Ruby
          label: Ruby
          source: |-
            # This API is only available inside a Domo app.
            # Use the JavaScript (domo.js) tab for the correct usage.
components:
  parameters:
    CollectionName:
      name: collectionName
      in: path
      required: true
      description: The name given to the collection in the manifest. Case-sensitive.
      schema:
        type: string
  schemas:
    BulkDeleteResponse:
      type: object
      properties:
        Deleted:
          type: integer
      example:
        Deleted: 3
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: >-
            A plain-English explanation of the error. Present on some errors but
            not all.
        status:
          type: integer
          description: The HTTP error code
        statusReason:
          type: string
          description: >-
            A human-readable error message, sometimes including nested error
            detail
        toe:
          type: string
          description: >-
            Thread of Execution; a unique identifier that Support can use to
            find more info about your problem
      example:
        status: 404
        statusReason: 'DA0088: Invalid collection name: Students'
        toe: FTYRJMBLKD-5HB2Z-H6W8A

````